/Users/bernard/b20/bsoft/include/rwresprop.h(3)

NAME
/Users/bernard/b20/bsoft/include/rwresprop.h - Header file for reading residue property files.

SYNOPSIS

#include 'Bstring.h'

  Classes
struct Bresidue_type
struct Bresidue_matrix

  Macros
#define MAXRES 25
#define _Brestype_

  Functions
Bresidue_type * get_residue_properties (Bstring &filename)
Reading residue properties from parameter files.
int write_residue_properties (Bstring &filename, Bresidue_type *rt)
Writing residue properties from a parameter file.
Bresidue_matrix * get_residue_matrix (Bstring &filename)
Reading a residue matrix from a file.
int residue_matrix_kill (Bresidue_matrix *resmat)
Deallocating a residue matrix.

Detailed Description

Header file for reading residue property files.

Author:
    Bernard Heymann

Date:
    Created: 19980822

    Modified: 20100916

Definition in file rwresprop.h.

Macro Definition Documentation

  #define _Brestype_

Definition at line 50 of file rwresprop.h.

  #define MAXRES 25

Definition at line 12 of file rwresprop.h.

Function Documentation

  Bresidue_matrix* get_residue_matrix (Bstring & filename)

Reading a residue matrix from a file.

Parameters:
    &filename file name.

Returns:
    Bresidue_matrix* residue matrix property structure, NULL on failure.

Definition at line 164 of file rwresprop.cpp.

  Bresidue_type* get_residue_properties (Bstring & filename)

Reading residue properties from parameter files.

Parameters:
    &filename file name.

Returns:
    Bresidue_type* the residue property structure, NULL on failure.

Definition at line 99 of file rwresprop.cpp.

  int residue_matrix_kill (Bresidue_matrix * resmat)

Deallocating a residue matrix.

Parameters:
    *resmat the residue matrix property structure.

Returns:
    int 0.

Definition at line 208 of file rwresprop.cpp.

  int write_residue_properties (Bstring & filename, Bresidue_type * rt)

Writing residue properties from a parameter file.

Parameters:
    &filename file name.
    *rt the residue property structure.

Returns:
    int error code (<0 means failure).

Definition at line 152 of file rwresprop.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.